function Server_h(h)
{
	this.handle = h;

	this.Accept = function()
	{
		var tmp=fsServer_Accept(this.handle);
		if (tmp==0) return 0;
		return new Socket_h(tmp);
	}

	this.Delete = function()
	{
		return fsServer_Delete(this.handle);
	}

}
function Server(port)
{
	return new Server_h(fsServer_Create(port));
}
